RoadPoint (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.roads
Class RoadPoint

    java.lang.Object
      com.bbn.openmap.tools.roads.Visual
          com.bbn.openmap.tools.roads.Waypoint
              com.bbn.openmap.tools.roads.RoadPoint

All Implemented Interfaces:
  RoadObject, java.io.Serializable

    public class RoadPoint

extends Waypoint
implements RoadObject

See Also:
  Serialized Form

Nested Class Summary
`class` | `RoadPoint.Graphic`

Field Summary

Fields inherited from class com.bbn.openmap.tools.roads.Waypoint
`location, screenLocation`

Fields inherited from class com.bbn.openmap.tools.roads.Visual
`blinkState, layer`

Constructor Summary
`RoadPoint(Road road, Intersection intersection)`
`RoadPoint(Road road, LatLonPoint loc, RoadLayer layer)`

Method Summary
`void` | `delete()`
`static java.lang.Class` | `getGraphicClass()`
`Road` | `getRoad()`
`void` | `render(OMGraphicList gl, boolean forceNew)` Add the visual representation of this Waypoint to the graphics list.
`java.lang.String` | `toString()`
`void` | `update()` Mark this Visual as needing to have its visual representation updated.

Methods inherited from class com.bbn.openmap.tools.roads.Waypoint
`getLatitude, getLocation, getLongitude, getModified, getRoadLayer, getScreenLocation, moveTo, setLocation, setModified, setScreenLocation`

Methods inherited from class com.bbn.openmap.tools.roads.Visual
`blink, getVisual, setVisual`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.tools.roads.RoadObject
`blink, moveTo`

Constructor Detail

### RoadPoint

    public RoadPoint(Road road,
                     LatLonPoint loc,
                     RoadLayer layer)

### RoadPoint

    public RoadPoint(Road road,
                     Intersection intersection)

Method Detail

### getGraphicClass

    public static java.lang.Class getGraphicClass()

### getRoad

    public Road getRoad()

### delete

    public void delete()

### update

    public void update()

  Description copied from class: `Visual`
  Mark this Visual as needing to have its visual representation updated. It has moved or otherwise changed its appearance.

  Overrides:
    `update` in class `Waypoint`

### render

    public void render(OMGraphicList gl,
                       boolean forceNew)

  Description copied from class: `Waypoint`
  Add the visual representation of this Waypoint to the graphics list. Our visual representation is just a rectangle with radius 2.

  Specified by:
    `render` in interface `RoadObject`
  Specified by:
    `render` in class `Waypoint`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Waypoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details